Get memories (paginated) [OSS + Cloud]
curl --request POST \
--url https://api.evermind.ai/api/v2/memory/get \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"memory_type": "episode",
"page": 1,
"page_size": 20,
"sort_order": "desc"
}
'import requests
url = "https://api.evermind.ai/api/v2/memory/get"
payload = {
"memory_type": "episode",
"page": 1,
"page_size": 20,
"sort_order": "desc"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({memory_type: 'episode', page: 1, page_size: 20, sort_order: 'desc'})
};
fetch('https://api.evermind.ai/api/v2/memory/get', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"request_id": "<string>",
"data": {
"episodes": [
{
"id": "<string>",
"app_id": "<string>",
"project_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"summary": "<string>",
"subject": "<string>",
"episode": "<string>",
"type": "<string>",
"user_id": "<string>",
"session_id": "<string>",
"sender_ids": [
"<string>"
],
"atomic_facts": [
{
"id": "<string>",
"content": "<string>"
}
]
}
],
"profiles": [
{
"id": "<string>",
"app_id": "<string>",
"project_id": "<string>",
"user_id": "<string>",
"profile_data": {}
}
],
"agent_cases": [
{
"id": "<string>",
"app_id": "<string>",
"project_id": "<string>",
"agent_id": "<string>",
"session_id": "<string>",
"task_intent": "<string>",
"approach": "<string>",
"quality_score": 123,
"timestamp": "2023-11-07T05:31:56Z",
"key_insight": "<string>"
}
],
"agent_skills": [
{
"id": "<string>",
"app_id": "<string>",
"project_id": "<string>",
"agent_id": "<string>",
"name": "<string>",
"description": "<string>",
"content": "<string>",
"confidence": 123,
"maturity_score": 123,
"source_case_ids": [
"<string>"
]
}
],
"total_count": 0,
"count": 0
}
}{}{}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{}Memory
Get memories (paginated) [OSS + Cloud]
POST
/
api
/
v2
/
memory
/
get
Get memories (paginated) [OSS + Cloud]
Authorizations
API key issued by EverOS, sent as Authorization: Bearer <api_key>.
Body
application/json
Available options:
episode, profile, agent_case, agent_skill Required range:
x >= 1Required range:
1 <= x <= 100Available options:
timestamp, updated_at Available options:
asc, desc One Filters DSL node — recursive AND / OR arrays plus arbitrary
scalar field conditions at the same level.
Show child attributes
Show child attributes
Was this page helpful?
⌘I

